Package ru.bitel.bgbilling.modules.bill.server.bean

# Class OrganizationDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<Organization>
ru.bitel.bgbilling.modules.bill.server.bean.OrganizationDao

public class OrganizationDao extends ru.bitel.bgbilling.common.dao.AbstractDao<Organization>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrganizationDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteOrganization(int organizationId)`
  `Organization`
  `getDefaultOrganization()`
  `protected Organization`
  `getFromRS(ResultSet rs)`
  `Organization`
  `getOrganization(int id)`
  `List<Organization>`
  `getOrganizationList()`
  `List<IdTitle>`
  `getOrganizationTitleList(Boolean inUse)`
  `void`
  `setDefaultOrganization(int organizationId)`
  `protected void`
  `updateImpl(Organization organization)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OrganizationDao

    public OrganizationDao(Connection con, int moduleId)

- ## Method Details

  - ### getOrganization

    public Organization getOrganization(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getOrganizationList

    public List<Organization> getOrganizationList() throws SQLException
    Throws:
      `SQLException`

  - ### deleteOrganization

    public void deleteOrganization(int organizationId) throws SQLException
    Throws:
      `SQLException`

  - ### setDefaultOrganization

    public void setDefaultOrganization(int organizationId) throws SQLException
    Throws:
      `SQLException`

  - ### getDefaultOrganization

    public Organization getDefaultOrganization() throws SQLException
    Throws:
      `SQLException`

  - ### getOrganizationTitleList

    public List<IdTitle> getOrganizationTitleList(Boolean inUse) throws SQLException
    Throws:
      `SQLException`

  - ### getFromRS

    protected Organization getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Organization>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(Organization organization) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Organization>`
    Throws:
      `SQLException`